Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ValueExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenConstraint

All Known Implementing Classes:
  GenConstraintImpl, ValueExpressionImpl

    public interface ValueExpression

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Value Expression'. Expression as a is textual statement which results in a value when evaluated in a context

The following features are supported:

- `Body`
- `Lang Name`
- `Provider`

See Also:
  `GMFGenPackage.getValueExpression()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='ValueSpec'"

Method Summary
`java.lang.String` `getBody()` Returns the value of the 'Body' attribute
`java.lang.String` `getBodyString()` Returns valid String literal for the given `String` as it should appear in java source code
`java.lang.String` `getLangName()` Returns the value of the 'Lang Name' attribute
`GenExpressionProviderBase` `getProvider()` Returns the value of the 'Provider' container reference.
`void` `setBody(java.lang.String value)` Sets the value of the '`Body`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBody

    java.lang.String getBody()

  Returns the value of the 'Body' attribute.

  If the meaning of the 'Body' attribute isn't clear, there really should be more of a description here...

  The text of the expression

  Returns:
    the value of the 'Body' attribute.
  See Also:
    `setBody(String)`, `GMFGenPackage.getValueExpression_Body()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='body'"

### setBody

    void setBody(java.lang.String value)

  Sets the value of the '`Body`' attribute.

  Parameters:
    `value` - the new value of the 'Body' attribute.
  See Also:
    `getBody()`
  ** Generated **

### getLangName

    java.lang.String getLangName()

  Returns the value of the 'Lang Name' attribute.

  If the meaning of the 'Lang Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lang Name' attribute.
  See Also:
    `GMFGenPackage.getValueExpression_LangName()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='lang'"

### getProvider

    GenExpressionProviderBase getProvider()

  Returns the value of the 'Provider' container reference. It is bidirectional and its opposite is '`Expressions`'.

  If the meaning of the 'Provider' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Provider' container reference.
  See Also:
    `GMFGenPackage.getValueExpression_Provider()`, `GenExpressionProviderBase.getExpressions()`
  ** Generated **
  Model:
    opposite="expressions" resolveProxies="false" required="true" transient="false" changeable="false"

### getBodyString

    java.lang.String getBodyString()

  Returns valid String literal for the given `String` as it should appear in java source code.

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.